<?php

declare(strict_types=1);

namespace DigiComp\FluidRenderFunctions\Tests\Functional\Fixtures\Controller;

use DigiComp\FlowDataTablesAdapter\Tests\Functional\Fixtures\TestEntity;
use Neos\Flow\Mvc\Controller\ActionController;
use Neos\Flow\Persistence\Doctrine\Query;

class TestController extends ActionController
{
    public function indexAction()
    {
        $this->view->assign('test', ['name' => 'hallo']);
    }

    public function selectAction()
    {
        $this->view->assign('testEntities', (new Query(TestEntity::class))->execute());
    }
}
